%global modname anykeystore

Name:           python-%{modname}
Version:        0.2
Release:        2%{?dist}
Summary:        A key-value store supporting multiple backends

Group:          Development/Libraries
License:        MIT
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/a/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-unittest2
BuildRequires:  python-mock

# Optional backends for the tests
BuildRequires:  python-sqlalchemy
BuildRequires:  pymongo
BuildRequires:  python-redis
BuildRequires:  python-memcached


%description
A generic interface wrapping multiple different backends to provide a
consistent key-value storage API. This library is intended to be used by
other libraries that require some form of generic storage.

%prep
%setup -q -n %{modname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test


%files
%doc README.rst LICENSE.txt
%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}*



%changelog
* Fri Nov 09 2012 Ralph Bean <rbean@redhat.com> - 0.2-2
- Removed CHANGES.txt since its of size zero
* Thu Nov 08 2012 Ralph Bean <rbean@redhat.com> - 0.2-1
- initial package for Fedora
